Skip to main content
GET
/
api
/
v1
/
search-email-leads
/
search-filters
/
fetched-searches
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/search-filters/fetched-searches?api_key=YOUR_API_KEY"
{
  "success": true,
  "message": "Data retrieved successfully",
  "data": {
    "fetchedLeads": [
      {
        "id": 327107,
        "user_id": 2568,
        "search_string": "Director in United States",
        "filter_details": {
          "title": ["Director"],
          "country": ["United States"],
          "limit": 100
        },
        "type": "saved",
        "include_owned": false,
        "is_saved": true,
        "is_fetched": true,
        "fetch_details": {
          "metrics": {
            "totalContacts": 500,
            "totalEmails": 480,
            "noEmailFound": 20,
            "invalidEmails": 10,
            "catchAllEmails": 5,
            "verifiedEmails": 465,
            "completed": 480
          },
          "leads_found": 500,
          "email_fetched": 480
        },
        "created_at": "2025-01-15T10:00:00.000Z",
        "updated_at": "2025-01-20T14:30:00.000Z"
      }
    ],
    "totalCount": 1
  }
}
This endpoint requires authentication via API key passed as a query parameter (api_key).

Query Parameters

api_key
string
required
Your SmartLead API key for authentication
limit
string
Number of fetched searches to return (positive integer string). Pattern: ^[1-9][0-9]*$. Default: “10”.
offset
string
Number of fetched searches to skip for pagination (non-negative integer string). Pattern: ^[0-9]+$. Default: “0”.
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/search-filters/fetched-searches?api_key=YOUR_API_KEY"

Response Codes

200
Success
Request successful
401
Unauthorized
Unauthorized
500
Internal Server Error
Internal Server Error
{
  "success": true,
  "message": "Data retrieved successfully",
  "data": {
    "fetchedLeads": [
      {
        "id": 327107,
        "user_id": 2568,
        "search_string": "Director in United States",
        "filter_details": {
          "title": ["Director"],
          "country": ["United States"],
          "limit": 100
        },
        "type": "saved",
        "include_owned": false,
        "is_saved": true,
        "is_fetched": true,
        "fetch_details": {
          "metrics": {
            "totalContacts": 500,
            "totalEmails": 480,
            "noEmailFound": 20,
            "invalidEmails": 10,
            "catchAllEmails": 5,
            "verifiedEmails": 465,
            "completed": 480
          },
          "leads_found": 500,
          "email_fetched": 480
        },
        "created_at": "2025-01-15T10:00:00.000Z",
        "updated_at": "2025-01-20T14:30:00.000Z"
      }
    ],
    "totalCount": 1
  }
}